%define upstream_name    Data-Dumper-Concise
%define upstream_version 2.022

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Less indentation and newlines plus sub deparsing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module always exports a single function, Dumper, which can be called
with a single reference value to dump that value or with no arguments to
return the Data::Dumper object it's created.

It exists, fundamentally, as a convenient way to reproduce a set of Dumper
options that we've found ourselves using across large numbers of
applications, primarily for debugging output.

The principle guiding theme is "all the concision you can get while still
having a useful dump and not doing anything cleverer than setting
Data::Dumper options" - it's been pointed out to us that
Data::Dump::Streamer can produce shorter output with less lines of code. We
know. This is simpler and we've never seen it segfault. But for
complex/weird structures, it generally rocks. You should use it as well,
when Concise is underkill. We do.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.22.0-4.mga5
+ Revision: 745923
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 2.22.0-3.mga5
+ Revision: 735456
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.22.0-2.mga5
+ Revision: 684197
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 2.22.0-1.mga5
+ Revision: 608315
- update to 2.022

* Mon Feb 10 2014 jquelin <jquelin> 2.21.0-1.mga5
+ Revision: 588322
- update to 2.021

* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-4.mga4
+ Revision: 510568
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-3.mga3
+ Revision: 365303
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 dmorgan <dmorgan> 2.20.0-2.mga1
+ Revision: 44758
- New version

* Mon Jan 24 2011 jquelin <jquelin> 2.12.0-2.mga1
+ Revision: 36874
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 2.12.0-1.mga1
+ Revision: 34888
- mageia rebuild
- imported package perl-Data-Dumper-Concise

